## org.eclipse.emf.ecoretools.diagram.navigator
Class EcoreNavigatorItem

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.emf.ecoretools.diagram.navigator.EcoreAbstractNavigatorItem
              org.eclipse.emf.ecoretools.diagram.navigator.EcoreNavigatorItem

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable

    public class EcoreNavigatorItem

extends EcoreAbstractNavigatorItem

Constructor Summary
`EcoreNavigatorItem(org.eclipse.gmf.runtime.notation.View view, java.lang.Object parent, boolean isLeaf)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`org.eclipse.gmf.runtime.notation.View` `getView()`
`int` `hashCode()`
`boolean` `isLeaf()`

Methods inherited from class org.eclipse.emf.ecoretools.diagram.navigator.EcoreAbstractNavigatorItem
`getParent`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreNavigatorItem

    public EcoreNavigatorItem(org.eclipse.gmf.runtime.notation.View view,
                              java.lang.Object parent,
                              boolean isLeaf)

Method Detail

### getView

    public org.eclipse.gmf.runtime.notation.View getView()

### isLeaf

    public boolean isLeaf()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright 2007 Anyware Technologies. All Rights Reserved.